Subject: Confusion about NET1, NET2, and NET3
From: Alan Cox <[email-masked]>
Date: Tue, 17 May 1994 00:57:16 GMT
Newsgroups: comp.os.linux.announce

I have had enough email from confused people about Fred van Kempens recent
announcement. To clarify:

Ross Biro wrote NET1 (0.97.5 - 0.99.9) and for various reasons passed on the
job after having done the core work for Linux networking.

Fred van Kempen wrote NET2D (0.99.10 - 0.99.13) - remember this far back anyone
- in the days when only real men did networking 8).

I got fed up with Fred's 'here soon' stuff about NET2E and fixed the networking
bugs everyone was getting sick of (NET2Debugged) and Linus chose to use that
for the 0.99.14->1.1.5 kernels

NET3 is adding the stuff I wanted to put in NET2Debugged but held back because
Fred was still desperately trying to deliver some decent code and merge in
my changes before 1.0. Just prior to 1.0 Fred basically said 'If NET2E isnt
in 1.0 then I quit developing' - which he hasn't.

NET2E is Fred's alternative networking set. Its not part of the kernel standard
its not compatible with many binaries, it doesn't work with DOSEMU, it doesn't
have a proper SOCK_PACKET interface and its got plenty of bugs. Contrary to
what a few people have been mislead into thinking (through nobody's fault I can
see), its not the next networking code, its nothing to do with the standard
Linux kernel networking (and as I understand it never will be (*)) and its
_NOTHING_ to do with me.

Alan

(*) Ask Linus if you want that definitively answered
--
Mail submissions for comp.os.linux.announce to: [email-masked]
Be sure to include Keywords: and a short description of your software.